Open CASCADE Technology: ProjLib_Plane Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ProjLib_Plane Class Reference

Projects elementary curves on a plane. More...

`#include <ProjLib_Plane.hxx>`

Inheritance diagram for ProjLib_Plane:
[legend]

## Public Member Functions
| ProjLib_Plane ()
| Undefined projection. More...
| ProjLib_Plane (const gp_Pln &Pl)
| Projection on the plane <Pl>. More...
| ProjLib_Plane (const gp_Pln &Pl, const gp_Lin &L)
| Projection of the line <L> on the plane <Pl>. More...
| ProjLib_Plane (const gp_Pln &Pl, const gp_Circ &C)
| Projection of the circle `on the plane <Pl>.` More...
| ProjLib_Plane (const gp_Pln &Pl, const gp_Elips &E)
| Projection of the ellipse <E> on the plane <Pl>. More...
| ProjLib_Plane (const gp_Pln &Pl, const gp_Parab &P)
| Projection of the parabola. More...
| ProjLib_Plane (const gp_Pln &Pl, const gp_Hypr &H)
| Projection of the hyperbola <H> on the plane <Pl>. More...
void | Init (const gp_Pln &Pl)
virtual void | Project (const gp_Lin &L)
virtual void | Project (const gp_Circ &C)
virtual void | Project (const gp_Elips &E)
virtual void | Project (const gp_Parab &P)
virtual void | Project (const gp_Hypr &H)
Public Member Functions inherited from ProjLib_Projector
| ProjLib_Projector ()
| Sets the type to OtherCurve. More...
virtual void | Delete ()
virtual | ~ProjLib_Projector ()
Standard_Boolean | IsDone () const
void | Done ()
| Set isDone = Standard_True;. More...
GeomAbs_CurveType | GetType () const
void | SetBSpline (const Handle< Geom2d_BSplineCurve > &C)
void | SetBezier (const Handle< Geom2d_BezierCurve > &C)
void | SetType (const GeomAbs_CurveType Type)
Standard_Boolean | IsPeriodic () const
void | SetPeriodic ()
const gp_Lin2d & | Line () const
const gp_Circ2d & | Circle () const
const gp_Elips2d & | Ellipse () const
const gp_Hypr2d & | Hyperbola () const
const gp_Parab2d & | Parabola () const
Handle< Geom2d_BezierCurve > | Bezier () const
Handle< Geom2d_BSplineCurve > | BSpline () const
void | UFrame (const Standard_Real CFirst, const Standard_Real CLast, const Standard_Real UFirst, const Standard_Real Period)
| Translates the 2d curve to set the part of the curve [CFirst, CLast] in the range [ UFirst, UFirst + Period [. More...
void | VFrame (const Standard_Real CFirst, const Standard_Real CLast, const Standard_Real VFirst, const Standard_Real Period)
| Translates the 2d curve to set the part of the curve [CFirst, CLast] in the range [ VFirst, VFirst + Period [. More...

## Additional Inherited Members
Protected Attributes inherited from ProjLib_Projector
GeomAbs_CurveType | myType
gp_Lin2d | myLin
gp_Circ2d | myCirc
gp_Elips2d | myElips
gp_Hypr2d | myHypr
gp_Parab2d | myParab
Handle< Geom2d_BSplineCurve > | myBSpline
Handle< Geom2d_BezierCurve > | myBezier
Standard_Boolean | myIsPeriodic
Standard_Boolean | isDone

## Detailed Description

Projects elementary curves on a plane.

## Constructor & Destructor Documentation

ProjLib_Plane::ProjLib_Plane | ( |  | ) |

Undefined projection.

ProjLib_Plane::ProjLib_Plane | ( | const gp_Pln & | Pl | ) |

Projection on the plane <Pl>.

ProjLib_Plane::ProjLib_Plane | ( | const gp_Pln & | Pl,
|  | const gp_Lin & | L
| ) |  |

Projection of the line <L> on the plane <Pl>.

ProjLib_Plane::ProjLib_Plane | ( | const gp_Pln & | Pl,
|  | const gp_Circ & | C
| ) |  |

Projection of the circle `on the plane <Pl>.`

ProjLib_Plane::ProjLib_Plane | ( | const gp_Pln & | Pl,
|  | const gp_Elips & | E
| ) |  |

Projection of the ellipse <E> on the plane <Pl>.

ProjLib_Plane::ProjLib_Plane | ( | const gp_Pln & | Pl,
|  | const gp_Parab & | P
| ) |  |

Projection of the parabola.

on the plane <Pl>.

ProjLib_Plane::ProjLib_Plane | ( | const gp_Pln & | Pl,
|  | const gp_Hypr & | H
| ) |  |

Projection of the hyperbola <H> on the plane <Pl>.

## Member Function Documentation

void ProjLib_Plane::Init | ( | const gp_Pln & | Pl | ) |

virtual void ProjLib_Plane::Project | ( | const gp_Lin & | L | ) |
| virtual

Reimplemented from ProjLib_Projector.

virtual void ProjLib_Plane::Project | ( | const gp_Circ & | C | ) |
| virtual

Reimplemented from ProjLib_Projector.

virtual void ProjLib_Plane::Project | ( | const gp_Elips & | E | ) |
| virtual

Reimplemented from ProjLib_Projector.

virtual void ProjLib_Plane::Project | ( | const gp_Parab & | P | ) |
| virtual

Reimplemented from ProjLib_Projector.

virtual void ProjLib_Plane::Project | ( | const gp_Hypr & | H | ) |
| virtual

Reimplemented from ProjLib_Projector.

The documentation for this class was generated from the following file:

- ProjLib_Plane.hxx